curl --request GET \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/asset-scores/zone-protected-asset-score \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/asset-scores/zone-protected-asset-score"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/asset-scores/zone-protected-asset-score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"start": "2026-08-01T00:00:00Z",
"end": "2026-08-04T00:00:00Z",
"environments": [
"S-1-5-21-1004336348-1177238915-682003330"
],
"asset_group_tag_id": 1,
"data": [
{
"date": "2026-08-01T00:00:00Z",
"exposed_count": 120,
"protected_count": 880,
"total_count": 1000,
"value": 0.88
},
{
"date": "2026-08-02T00:00:00Z",
"exposed_count": 95,
"protected_count": 905,
"total_count": 1000,
"value": 0.905
},
{
"date": "2026-08-03T00:00:00Z",
"exposed_count": 80,
"protected_count": 922,
"total_count": 1002,
"value": 0.9201596806387226
}
]
}
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}Get zone protected asset score
Gets a per-day series describing how much of a zone is free of open findings over the requested time range. For each day in the range, the score is the number of objects in the zone without an open finding divided by the total number of objects in the zone. Zones that attack path analysis does not run against yield an empty series.
Authorizations
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$Query Parameters
Environment IDs
The asset group tag id of the zone requested
Beginning datetime of range (inclusive) in RFC-3339 format; Defaults to current datetime minus 30 days
Ending datetime of range (exclusive) in RFC-3339 format; Defaults to current datetime
Response
OK
Show child attributes
Show child attributes